
##RESOURCE GROUP
import {
  id = "/subscriptions/<subscriptionID>/resourceGroups/allen-vnet"
  to = azurerm_resource_group.vnet1
}

resource "azurerm_resource_group" "vnet1" {
  name 				  = "allen-vnet"
  location 			  = var.resource_group_location
}


####VNET

import {
  id = "/subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth"
  to = azurerm_virtual_network.vnet
}

resource "azurerm_virtual_network" "vnet" {
  name                = "vnet-uaenorth"
  location            = "uaenorth"
  resource_group_name = "allen-vnet"
  address_space       = ["10.0.0.0/16", "20.1.0.0/16", "30.1.0.0/16"]
}


/*
##VNET DUPLICATION FROM ABOVE - DELETE

import {
  id = "/subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth"
  to = azurerm_virtual_network.vnet
}

resource "azurerm_virtual_network" "vnet" {
  name                = "vnet-uaenorth"
  location            = azurerm_resource_group.vnet1.location
  resource_group_name = azurerm_resource_group.vnet1.name
  address_space       = ["10.0.0.0/16", "20.1.0.0/16", "30.1.0.0/16"]
}








###SUBNET

resource "azurerm_subnet" "subnet1" {
  name		       = "Internal-subnet01"
  resource_group_name  = "allen-vnet"
  address_prefixes     = ["10.0.1.0/27"]
  virtual_network_name = azurerm_virtual_network.vnet.name
}

resource "azurerm_subnet" "subnet2" {
  name		       = "Internal-subnet02"
  resource_group_name  = "allen-vnet"
  address_prefixes     = ["10.0.1.32/27"]
  virtual_network_name = azurerm_virtual_network.vnet.name
}

resource "azurerm_subnet" "subnet3" {
  name		       = "Internal-subnet03"
  resource_group_name  = "allen-vnet"
  address_prefixes     = ["10.0.1.64/27"]
  virtual_network_name = azurerm_virtual_network.vnet.name
}

resource "azurerm_subnet" "subnet4" {
  name		       = "Internal-subnet04"
  resource_group_name  = "allen-vnet"
  address_prefixes     = ["10.0.1.96/27"]
  virtual_network_name = azurerm_virtual_network.vnet.name
}

resource "azurerm_subnet" "subnet5" {
  name		       = "Internal-subnet05"
  resource_group_name  = "allen-vnet"
  address_prefixes     = ["10.0.1.128/27"]
  virtual_network_name = azurerm_virtual_network.vnet.name
}

resource "azurerm_subnet" "subnet6" {
  name		       = "Internal-subnet06"
  resource_group_name  = "allen-vnet"
  address_prefixes     = ["10.0.1.160/27"]
  virtual_network_name = azurerm_virtual_network.vnet.name
}

resource "azurerm_subnet" "subnet7" {
  name		       = "Internal-subnet07"
  resource_group_name  = "allen-vnet"
  address_prefixes     = ["10.0.1.192/27"]
  virtual_network_name = azurerm_virtual_network.vnet.name
}

resource "azurerm_subnet" "subnet8" {
  name		       = "Internal-subnet08-big-iq-01"
  resource_group_name  = "allen-vnet"
  address_prefixes     = ["10.0.1.224/28"]
  virtual_network_name = azurerm_virtual_network.vnet.name
}

resource "azurerm_subnet" "subnet9" {
  name		       = "Internal-subnet08-big-iq-02"
  resource_group_name  = "allen-vnet"
  address_prefixes     = ["10.0.1.240/28"]
  virtual_network_name = azurerm_virtual_network.vnet.name
}

resource "azurerm_subnet" "subnet10" {
  name		       = "Internal-subnet09"
  resource_group_name  = "allen-vnet"
  address_prefixes     = ["10.0.2.0/28"]
  virtual_network_name = azurerm_virtual_network.vnet.name
}

resource "azurerm_subnet" "subnet11" {
  name		       = "Internal-subnet10-vnet-integration"
  resource_group_name  = "allen-vnet"
  address_prefixes     = ["10.0.2.32/27"]
  virtual_network_name = azurerm_virtual_network.vnet.name
}

resource "azurerm_subnet" "subnet111" {
  name		       = "Internal-subnet11"
  resource_group_name  = "allen-vnet"
  address_prefixes     = ["10.0.2.64/26"]
  virtual_network_name = azurerm_virtual_network.vnet.name
}

resource "azurerm_subnet" "subnet12" {
  name		       = "Internal-subnet12"
  resource_group_name  = "allen-vnet"
  address_prefixes     = ["10.0.2.128/27"]
  virtual_network_name = azurerm_virtual_network.vnet.name
}


resource "azurerm_subnet" "subnetaks" {
  name		       = "opswat-aks-subnet"
  resource_group_name  = "allen-vnet"
  address_prefixes     = ["20.1.0.0/23"]
  virtual_network_name = azurerm_virtual_network.vnet.name
}

resource "azurerm_subnet" "subnet_db1" {
  name                 = "opswat-k8s-db-subnet"
  resource_group_name  = "allen-vnet"
  virtual_network_name = azurerm_virtual_network.vnet.name
  address_prefixes     = ["20.1.3.0/24"]
  service_endpoints    = ["Microsoft.Storage"]
  delegation {
    name = "flexibleServers-endpoint"
    service_delegation {
      name = "Microsoft.DBforPostgreSQL/flexibleServers"
      actions = [
        "Microsoft.Network/virtualNetworks/subnets/join/action",
      ]
    }
  }
}


###BULK IMPORT




import {
  id = "/subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet01"
  to = azurerm_subnet.subnet1
}
import {
  id = "/subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet02"
  to = azurerm_subnet.subnet2
}
import {
  id = "/subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet03"
  to = azurerm_subnet.subnet3
}
import {
  id = "/subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet04"
  to = azurerm_subnet.subnet4
}
import {
  id = "/subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet05"
  to = azurerm_subnet.subnet5
}
import {
  id = "/subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet06"
  to = azurerm_subnet.subnet6
}
import {
  id = "/subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet07"
  to = azurerm_subnet.subnet7
}
import {
  id = "/subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet08-big-iq-01"
  to = azurerm_subnet.subnet8
}
import {
  id = "/subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet08-big-iq-02"
  to = azurerm_subnet.subnet9
}
import {
  id = "/subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet09"
  to = azurerm_subnet.subnet10
}
import {
  id = "/subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet10-vnet-integration"
  to = azurerm_subnet.subnet11
}
import {
  id = "/subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet11"
  to = azurerm_subnet.subnet111
}
import {
  id = "/subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet12"
  to = azurerm_subnet.subnet12
}

import {
  id = "/subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/opswat-aks-subnet"
  to = azurerm_subnet.subnetaks
}

import {
  id = "/subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/opswat-k8s-db-subnet"
  to = azurerm_subnet.subnet_db1
}



#SINGLE IMPORT EXAMPLE FROM POWERSHELL

cd C:\metadefender-k8s-main\terraform\azure\

{
terraform import azurerm_virtual_network.vnet /subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth

terraform import azurerm_subnet.subnet1 /subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet01

terraform import azurerm_subnet.subnet2 /subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet02

terraform import azurerm_subnet.subnet3 /subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet03

terraform import azurerm_subnet.subnet4 /subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet04

terraform import azurerm_subnet.subnet5 /subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet05

terraform import azurerm_subnet.subnet6 /subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet06

terraform import azurerm_subnet.subnet7 /subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet07

terraform import azurerm_subnet.subnet8 /subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet08-big-iq-01

terraform import azurerm_subnet.subnet9 /subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet08-big-iq-01

terraform import azurerm_subnet.subnet10 /subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet09

terraform import azurerm_subnet.subnet11 /subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-Internal-subnet10-vnet-integration

terraform import azurerm_subnet.subnet111 /subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet011

terraform import azurerm_subnet.subnet12 /subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/Internal-subnet012

terraform import azurerm_subnet.subnetaks /subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/opswat-aks-subnet

terraform import azurerm_subnet.subnetdb1 /subscriptions/<subscriptionID>/resourceGroups/allen-vnet/providers/Microsoft.Network/virtualNetworks/vnet-uaenorth/subnets/opswat-k8s-db-subnet

*/